Bug 150214 - "Advanced" tab is always disabled
"Advanced" tab is always disabled
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
: UI
Depends on:
Blocks: 152580
  Show dependency treegraph
 
Reported: 2008-10-15 12:56 UTC by Roman Mostyka
Modified: 2010-04-14 04:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-15 12:56:20 UTC
1. Rightclick "Databases" node and choose "New Connection...".
2. Specify parameters for the server, which has several schemes, uncheck "Remember Password" checkbox and click "OK".
3. Choose scheme in drop down list and click "OK".
4. Disconnect and then reconnect to the DB.

Result: Dialog appears with prompt to enter password, but "Advanced" tab is always disabled, even after enter password.
Comment 1 Rob Englander 2008-10-15 13:07:36 UTC
Roman, after step 4 and entering password you have to click OK.  If I remember correctly, you are not
given the ability to go to the Advanced tab until you click OK.  That's how you got to step 3.  Is that not
working the second time around?
Comment 2 Roman Mostyka 2008-10-15 13:21:03 UTC
No, in "New Connection" dialog, if DB contains several schemes, "Advanced" tab becomes activated and I can choose there
necessary scheme. But in "Connect" dialog when I enter password and click "OK", dialog just disappears and connection is
established, I wasn't suggested to choose scheme, probably because scheme was chosen by adding connection.
Comment 3 Rob Englander 2008-10-15 13:24:20 UTC
Oh, sorry.  I misunderstood.  Nevermind :)
Comment 4 David Vancouvering 2008-10-15 18:47:52 UTC
Isn't this the same as issue 150215?  I am not sure I can understand the difference.
Comment 5 Roman Mostyka 2008-10-15 19:37:23 UTC
Here we speak about "Advanced" tab, in the issue #150215 rather about change scheme in "Properties".
Comment 6 Jiri Rechtacek 2009-02-10 15:25:49 UTC
Reassigned to new owner.
Comment 7 Jiri Rechtacek 2010-04-13 14:34:39 UTC
core-main/rev/e34ff48becb5
Comment 8 Quality Engineering 2010-04-14 04:41:51 UTC
Integrated into 'main-golden', will be available in build *201004140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e34ff48becb5
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #150214:  "Advanced" tab is always disabled


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo